Subject: (ION) changes to draft-ietf-ion-nhrp-mib-05.txt

From: Joan Cucchiara <[email-masked]>
Date: Tue, 24 Nov 1998 00:31:19 +0000

> Hi Everyone,
> 
> The latest version of the NHRP MIB
> (draft-ietf-ion-nhrp-mib-05.txt) has just been posted.
> 
> The changes between the 04 and 05 versions of the
> NHRP MIB are based on comments from the IESG regarding
> Version 04 of the NHRP MIB.
> 
> Here is an enumerated list of changes:
> 
> 1. Document copyright/IPR notices were added.
> 
> 2. MIB boilerplate (sections 1 and 1.1) were
>    replaced by the new version of the MIB
>    boilerplate from http://www.ops.ietf.org/
> 
> 3. Reference to which versions of the IF-MIB pertain to
>    the NHRP MIB have been added.
> 
> 4. Section 2.1.1 of Version 4, refers to an ifType
>    value of nhrp(xxx).  This has been removed.
> 
> 5. Section 2.2.1 discusses starting and stopping
>    clients/servers.  The mechanisms for starting
>    and stopping clients/servers are not addressed
>    in the MIB, thus these references have been
>    removed.
> 
> 6. The MIB version 4, refers to draft-ietf-rolc-nhrp-15.txt.
>    This has been replaced by the RFC 2332 in Version 5 of the
>    NHRP MIB.
> 
> 7. the Textual Convention NhrpIANAAddrFamily has been reworked
>    to be a separate MIB module for IANA to consider.
>    (see sections 4 and 11 of the draft-ietf-ion-nhrp-mib-05.txt)
> 
> 8. nhrpClientNhsNbmaAddrType was not contained in any conformance
>    group, this was fixed.
> 
> 9. The description of the nhrpNextHopResIndex has been modified.
> 
> 10. Issue on Ranges
> 
>      -- nhrpNextHopResPrefixLength was changed to (0..255)
>         which agrees with RFC 2332
> 
>      -- NhrpGenAddr was changed to (0..64) to align on
>         a 4 byte boundary.
> 
> 11.  nhrpNextHopResEntryType enumeration didn't match description
>      and this was fixed.
> 
> 12.  nhrpNextHopResEntryType description was changed to reflect
>      what type of SNMP error is returned upon a failed set.
> 
> 13.  Another object, 'nhrpNextHopresEntryHoldingTimeValid'
>      was added and the description of 'nhrpNextHopResEntryHoldingTime'
>      was updated.
> 
> 14. The acronym CIE was used in a couple of places and this
>     was expanded to reflect what it actual stands for.
> 
> 15. StorageType objects have been added to the nhrpNextHopResEntry,
>     the nhrpClient and nhrpServer Tables.  Thus the choice of
>     what is backed up into non-volatile memory is configurable
>     in the MIB.
> 
>     Also, Counter Discontinuities are now indicated in the
>     Stats Tables for the Clients and Servers.
> 
> 16. nhrpPurgeRequestID and nhrpClientRequestID now have syntax
>     of Unsigned32.
> 
> 17. A NextIndex Scalar object was added to the general group.
>     This is to be used to obtain nhrpClientIndexes and nhrpServerIndexes.
>     Thus, the multiple-manager issue is avoided.
> 
> 18. the ranges for nhrpClientIndex and nhrpServerIndex have been
>     increased to (1..4294967295)
> 
> 19. nhrpClientHoldTime syntax was changed to an Unsigned32.
> 
> 20. nhrpClientRegUniqueness has been modified.
> 
> 21. The indexing of the nhrpClientRegistrationTable was
>     changed and related descriptions were updated.
> 
> 22. The formatting of nhrpClientRegState has been modified.
> 
> 23. typo fixed in description of nhrpClientNhsDestInternetworkAddr
>     "this wil be" to "this will be"
> 
> 24. typo fixed in the REFERENCE Clause of nhrpServerNhcTable
>     Section 4.0 to Section 4
> 
> 25. typo fixed from vunerable to vulnerable

X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.